-- Init Kram
local _G = _G
local LDB = LibStub("LibDataBroker-1.1", true)
local icon = LibStub("LibDBIcon-1.0")
_G.Adman =  {}
_G.Adman.Locale = {}
_G.Adman.DB = {}
_G.Adman.Frames = {}

-- funktionen
local function GetLink(lnk)
	if Adman.Frames['Editbox1']:HasFocus() then
		Adman.Frames['Editbox1']:Insert(lnk)
	elseif Adman.Frames['Editbox2']:HasFocus() then
		Adman.Frames['Editbox2']:Insert(lnk)
	elseif Adman.Frames['Editbox3']:HasFocus() then
		Adman.Frames['Editbox3']:Insert(lnk)
	elseif Adman.Frames['Editbox4']:HasFocus() then
		Adman.Frames['Editbox4']:Insert(lnk)
	elseif Adman.Frames['Editbox5']:HasFocus() then
		Adman.Frames['Editbox5']:Insert(lnk)
	else
		ChatEdit_InsertLink_old(lnk);
	end
end

-- Vars load
local frame = CreateFrame("FRAME")
frame:RegisterEvent("ADDON_LOADED")
frame:RegisterEvent("PLAYER_LOGOUT")
frame:RegisterEvent("CHAT_MSG_CHANNEL_NOTICE");

function frame:OnEvent(event, ...)
	local arg = { ... }
	if event == "CHAT_MSG_CHANNEL_NOTICE" then
		if arg[1] == "YOU_LEFT" and arg[4] == _G.Adman.Frames.Channel["selectedID"] and AF["Startbutton"]:GetText() == "Start" then
			AF.SpamFrame:SetScript("OnUpdate", nil)
			AF['Startbutton']:SetText("Stop")
		end

	elseif event == "ADDON_LOADED" and string.lower(arg[1]) == "adman" then
		local AL = Adman.Locale
		local AF = Adman.Frames
		if type(AdmanDB) ~= "table" then -- neue DB anlegen
			ChatFrame1:AddMessage("[Adman] Default Database loaded.")
			AdmanDB = { }
			AdmanDB["opt"] = { }
			AdmanDB["opt"]["welcome"] = true
			AdmanDB["opt"]["minimap"] = {}
			AdmanDB["opt"]["minimap"]["lock"] = false
			AdmanDB["opt"]["minimap"]["hide"] = false

			AdmanDB["Settings"]= { }
			AdmanDB["Settings"][1] = "I'm looking for a Group! I will do everything!! invite me please"
			AdmanDB["Settings"][2] = ""
			AdmanDB["Settings"][3] = ""
			AdmanDB["Settings"][4] = ""
			AdmanDB["Settings"][5] = ""

			AdmanDB["Settings"]["Modus"] = 1
			AdmanDB["Settings"]["Timer"] = 600

			AdmanDB["Settings"]["Status"]= { }
			AdmanDB["Settings"]["Status"][1] = true
			AdmanDB["Settings"]["Status"][2] = false
			AdmanDB["Settings"]["Status"][3] = false
			AdmanDB["Settings"]["Status"][4] = false
			AdmanDB["Settings"]["Status"][5] = false
		end


		for i= 1, 5 do 
			AF['Editbox' .. i]:SetText( AdmanDB["Settings"][i] )
			AF['Editboxcheck' .. i]:SetChecked(AdmanDB["Settings"]["Status"][i])
		end
			AF['EditboxTimer']:SetNumber(AdmanDB["Settings"]["Timer"])

			UIDropDownMenu_SetSelectedID(AF.Modus, AdmanDB["Settings"]["Modus"])
			AF.Modus["selectedID"]  = AdmanDB["Settings"]["Modus"]
		---- LDB
		local AdmanLauncher = LDB:NewDataObject("Adman", {
			type = "launcher",
			text = "Adman",
			label = "Adman",
			icon = "Interface\\Minimap\\tracking\\Banker",
			OnClick = OnClickMinimap,
			OnTooltipShow = function(tt)
		 	tt:AddLine("|cff00bfffAdman|r v7")
		 	tt:AddLine("|cff00bfff"..AL["MapML"])
		 end, })

		
		---- Icon
		icon:Register("Adman", AdmanLauncher, AdmanDB["opt"]["minimap"])
		if AdmanDB["opt"]["minimap"]["lock"] ~= false then
		 	icon:Lock("Adman")
		else
			icon:Hide("Adman")
		end
		---- Welcome Msgs
		if AdmanDB["opt"]["welcome"] == true then
			ChatFrame1:AddMessage(AL["Welcome"])
		end

		ChatEdit_InsertLink_old=ChatEdit_InsertLink;
		ChatEdit_InsertLink=GetLink;

		_G.Adman.DB = AdmanDB
	end
end
frame:SetScript("OnEvent", frame.OnEvent)