﻿local Adman = _G.Adman
local AL = Adman.Locale
local AF = Adman.Frames
local ATMP = 0 -- last spam
local XTMP = { } -- rnd message dingens
local YTMP = 0 --check für start
local function Trim(s)
	return (s:gsub("^%s*(.-)%s*$", "%1"));
end

--- Hauptfenster
AF.Hauptfenster = CreateFrame("Frame","AF.Hauptfenster",UIParent)
AF.Hauptfenster:SetPoint("CENTER",0,0)
AF.Hauptfenster:SetWidth(450)
AF.Hauptfenster:SetHeight(450)
AF.Hauptfenster:SetBackdrop(
        {
            bgFile= "Interface/DialogFrame/UI-DialogBox-Background-Dark",
            edgeFile = "Interface/DialogFrame/UI-Dialogbox-Border",
            tile = true, tileSize = 32, edgeSize = 32,
            insets = {left = 4, right = 4, top = 4, bottom = 4}
        })
AF.Hauptfenster:SetMovable(true)
AF.Hauptfenster:EnableMouse(true)
AF.Hauptfenster:RegisterForDrag("LeftButton")
AF.Hauptfenster:SetScript("OnDragStart", AF.Hauptfenster.StartMoving)
AF.Hauptfenster:SetScript("OnDragStop", AF.Hauptfenster.StopMovingOrSizing)
AF.Hauptfenster:SetScript("OnHide", function(self,arg1)
--
end)
AF.Hauptfenster:SetScript("OnShow", function(self,arg1)
--
end)
tinsert(UISpecialFrames, AF.Hauptfenster:GetName())
AF.Hauptfenster:Hide()

AF['Logo'] = AF.Hauptfenster:CreateFontString(nil, nil, "GameFontNormal")
	AF['Logo']:SetPoint("TOP",0,-20)
	AF['Logo']:SetText("Adman Release-v1.1")

AF['Close'] = CreateFrame("Button", nil, AF.Hauptfenster)
	AF['Close']:SetPoint("TOPRIGHT", AF.Hauptfenster, -1, -1)
	AF['Close']:SetSize(30,30)
	AF['Close']:SetScript("OnMouseDown", function(self, button)
		AF["Hauptfenster"]:Hide()
	end)
AF['Close']:Show()

local ntex = AF['Close']:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-Panel-MinimizeButton-Up")
	ntex:SetAllPoints()
AF['Close']:SetNormalTexture(ntex)

local htex = AF['Close']:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetTexCoord(0, 0.625, 0, 0.6875)
	htex:SetAllPoints()
AF['Close']:SetHighlightTexture(htex)

-- Help Button
AF.HelpButton = CreateFrame("Button", nil, AF.Hauptfenster)
AF.HelpButton:SetPoint("TOPRIGHT", AF.Close, -30,-5)
AF.HelpButton:SetSize(18,18)

local ntex = AF.HelpButton:CreateTexture()
	ntex:SetTexture("Interface/FriendsFrame/InformationIcon")
	ntex:SetAllPoints()
AF.HelpButton:SetNormalTexture(ntex)

AF.HelpButton:SetScript("OnEnter", function(self,arg1)
	GameTooltip:SetOwner(self, "ANCHOR_NONE")
	GameTooltip:SetPoint("BOTTOM", self, "BOTTOM", 170, 30)
	GameTooltip:SetText("|cff00bfff"..AL["manual1"],1,1,1)
	GameTooltip:AddLine("   "..AL["manual2"], 0, 1, 0)
	GameTooltip:AddLine("   "..AL["manual3"], 0, 1, 0)
	GameTooltip:AddLine("")
	GameTooltip:AddLine("|cff00bfff"..AL["manual4"], 0, 1, 0)
	GameTooltip:AddLine("   "..AL["manual5"], 0, 1, 0)
	GameTooltip:AddLine("   "..AL["manual6"], 0, 1, 0)
	GameTooltip:AddLine("")
	GameTooltip:AddLine("|cff00bfff"..AL["manual7"], 0, 1, 0)
	GameTooltip:AddLine("   "..AL["manual8"], 0, 1, 0)
	GameTooltip:SetSize(370,130)
end)
	
AF.HelpButton:SetScript("OnLeave", function(self,arg1)
	GameTooltip:Hide()
end)

---Editbox 1 bis 5
for i = 1, 5 do 
	AF['Editbox' .. i] = CreateFrame( "EditBox", nil, AF.Hauptfenster, "InputBoxTemplate" )
	AF['Editbox' .. i]:SetPoint("TOPLEFT", 30, -5-(i*50))
	AF['Editbox' .. i]:SetWidth(400)
	AF['Editbox' .. i]:SetHeight(50)
	AF['Editbox' .. i]:ClearFocus(self)
	AF['Editbox' .. i]:SetAutoFocus(false)	
	AF['Editbox' .. i]:Show()

	AF['Editboxcheck' .. i] = CreateFrame("CheckButton", "Adman_checkbutton_" .. i, AF['Editbox' .. i], "ChatConfigCheckButtonTemplate")
	AF['Editboxcheck' .. i]:SetPoint("TOPLEFT", -5, 5)
	AF['Editboxcheck' .. i]:SetWidth(25)
	AF['Editboxcheck' .. i]:SetHeight(25)

	AF['EditboxText' .. i] = AF['Editbox' .. i]:CreateFontString(nil, nil, "GameFontNormal")
	AF['EditboxText' .. i]:SetPoint("Left",20,20)
	AF['EditboxText' .. i]:SetText("Message "..i)

	AF['EditboxOK' .. i] = CreateFrame("Button", nil, AF['Editbox' .. i])
	AF['EditboxOK' .. i]:SetPoint("CENTER", AF['Editbox' .. i], "Right", -10, 0)
	AF['EditboxOK' .. i]:SetWidth(20)
	AF['EditboxOK' .. i]:SetHeight(20)
	AF['EditboxOK' .. i]:SetText("OK")
	AF['EditboxOK' .. i]:SetNormalFontObject("GameFontNormal")
	AF['EditboxOK' .. i]:Hide()

	local ntex = AF['EditboxOK' .. i]:CreateTexture()
		ntex:SetTexture("Interface/Buttons/UI-Panel-Button-Up")
		ntex:SetTexCoord(0, 0.625, 0, 0.6875)
		ntex:SetAllPoints()	
	AF['EditboxOK' .. i]:SetNormalTexture(ntex)
	local htex = AF['EditboxOK' .. i]:CreateTexture()
		htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
		htex:SetTexCoord(0, 0.625, 0, 0.6875)
		htex:SetAllPoints()
	AF['EditboxOK' .. i]:SetHighlightTexture(htex)
	local ptex = AF['EditboxOK' .. i]:CreateTexture()
		ptex:SetTexture("Interface/Buttons/UI-Panel-Button-Down")
		ptex:SetTexCoord(0, 0.625, 0, 0.6875)
		ptex:SetAllPoints()
	AF['EditboxOK' .. i]:SetPushedTexture(ptex)

	--Scripte
	AF['Editbox' .. i]:SetScript( "OnChar", function () 
		AF['EditboxOK' .. i]:Show()
	end)

	AF['EditboxOK' .. i]:SetScript( "OnClick", function ()
		 AF['EditboxOK' .. i]:Hide()
		 Adman.DB["Settings"][i] = Trim(AF['Editbox' .. i]:GetText())
	end)

	AF['Editboxcheck' .. i]:SetScript("OnClick", function()
		  Adman.DB["Settings"]["Status"][i] = AF['Editboxcheck' .. i]:GetChecked()
	end)
end

---Timer
AF['EditboxTimer'] = CreateFrame( "EditBox", nil, AF.Hauptfenster, "InputBoxTemplate" )
	AF['EditboxTimer']:SetPoint("TopLeft", 90, -300)
	AF['EditboxTimer']:SetWidth(35)
	AF['EditboxTimer']:SetHeight(50)
	AF['EditboxTimer']:ClearFocus(self)
	AF['EditboxTimer']:SetAutoFocus(false)	
	AF['EditboxTimer']:Show()
	AF['EditboxTimer']:SetNumeric(true)
	AF['EditboxTimerText'] = AF.EditboxTimer:CreateFontString(nil, nil, "GameFontNormal")
	AF['EditboxTimerText']:SetPoint("Left",-60,0)
	AF['EditboxTimerText']:SetText("Timer:")

--Error
AF['Error'] = AF['Hauptfenster']:CreateFontString(nil, nil, "GameFontNormal")
AF['Error']:SetPoint("BottomLeft",20,20)

---Channel
AF.Channel = CreateFrame("Button", "DDMChannel", AF.Hauptfenster, "UIDropDownMenuTemplate")
	AF.Channel:SetPoint("TopLeft", 65, -340)
	UIDropDownMenu_SetWidth(AF.Channel, 80);
	UIDropDownMenu_SetButtonWidth(AF.Channel, 80)
	UIDropDownMenu_SetSelectedID(AF.Channel, 0)
	UIDropDownMenu_JustifyText(AF.Channel, "LEFT")
	UIDropDownMenu_SetText(AF.Channel, "Channel", 0)
	AF['ChannelText'] = AF.Channel:CreateFontString(nil, nil, "GameFontNormal")
	AF['ChannelText']:SetPoint("Left",-35,0)
	AF['ChannelText']:SetText("Channel:")

local function OnClickChannel(self,event)
    UIDropDownMenu_SetSelectedID(AF.Channel, self:GetID())
	AF.Channel["selectedID"]  = self:GetID()
end

local function initializeChannel(self, level)
	local info = UIDropDownMenu_CreateInfo()
	local channels = { GetChannelList(); }
	local channels_user = {};
	local iter = 0;
	for i,title in ipairs(channels) do
		if i % 2 ~= 0 then
			iter = iter + 1;
			channels_user[iter] = title;
		else
			channels_user[iter] = channels_user[iter] .. ". " .. title;
			--print("Found channel " .. channels_user[iter]);
		end
	end
	for i, title in ipairs(channels_user) do
		local info = UIDropDownMenu_CreateInfo();
		info.text = title;
		info.value = i;
		info.func = function(self) OnClickChannel(self) end;
		UIDropDownMenu_AddButton(info);
	end
end
UIDropDownMenu_Initialize(AF.Channel, initializeChannel)

---Modus
AF.Modus = CreateFrame("Button", "DDMMode", AF.Hauptfenster, "UIDropDownMenuTemplate")
	AF.Modus:SetPoint("TopLeft", 65, -370)
	UIDropDownMenu_SetWidth(AF.Modus, 80);
	UIDropDownMenu_SetButtonWidth(AF.Modus, 80)
	UIDropDownMenu_SetSelectedID(AF.Modus, 1)
	UIDropDownMenu_JustifyText(AF.Modus, "LEFT")
	UIDropDownMenu_SetText(AF.Modus, "Modus", 0)
	AF['ModusText'] = AF.Modus:CreateFontString(nil, nil, "GameFontNormal")
	AF['ModusText']:SetPoint("Left",-35,0)
	AF['ModusText']:SetText("Modus:")

local function OnClickModus(self,event)
    UIDropDownMenu_SetSelectedID(AF.Modus, self:GetID())
	AF.Modus["selectedID"]  = self:GetID()
	AdmanDB["Settings"]["Modus"] = tonumber(self:GetID())
end

local function initializeModus(self, level)
	local info = UIDropDownMenu_CreateInfo()

	info.text, info.value, info.checked,info.func = "All", 1, nil, OnClickModus
    UIDropDownMenu_AddButton(info, level)

    info.text, info.value, info.checked, info.func = "Random", 2, nil, OnClickModus
    UIDropDownMenu_AddButton(info, level)
end
UIDropDownMenu_Initialize(AF.Modus, initializeModus)

--Startbutton
local function Spamstart()
	if time() - ATMP >= tonumber(Adman.DB["Settings"]["Timer"]) then
		ATMP = time()
		if (Adman.DB["Settings"]["Modus"] == 1) then -- All
			for i = 1, 5 do 
				if AdmanDB["Settings"]["Status"][i] == true then
					SendChatMessage(AdmanDB["Settings"][i], "CHANNEL", nil, AF.Channel["selectedID"])
				end
			end

		else -- Random
			table.wipe(XTMP)
			for i = 1, 5 do 
				if AdmanDB["Settings"]["Status"][i] == true then
					table.insert(XTMP, AdmanDB["Settings"][i])
				end
			end	
			SendChatMessage(AdmanDB["Settings"][math.random(1,#XTMP)], "CHANNEL", nil, AF.Channel["selectedID"])
		end
	end
end

AF.Startbutton = CreateFrame("Button", nil, AF.Hauptfenster)
	AF.Startbutton:SetPoint("CENTER", AF.Hauptfenster, "TopRight", -80, -320)
	AF.Startbutton:SetWidth(100)
	AF.Startbutton:SetHeight(25)
	AF.Startbutton:SetText("Start")
	AF.Startbutton:SetNormalFontObject("GameFontNormal")

local ntex = AF.Startbutton:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-Panel-Button-Up")
	ntex:SetTexCoord(0, 0.625, 0, 0.6875)
	ntex:SetAllPoints()	
AF.Startbutton:SetNormalTexture(ntex)

local htex = AF.Startbutton:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetTexCoord(0, 0.625, 0, 0.6875)
	htex:SetAllPoints()
AF.Startbutton:SetHighlightTexture(htex)

local ptex = AF.Startbutton:CreateTexture()
	ptex:SetTexture("Interface/Buttons/UI-Panel-Button-Down")
	ptex:SetTexCoord(0, 0.625, 0, 0.6875)
	ptex:SetAllPoints()
AF.Startbutton:SetPushedTexture(ptex)

AF['Startbutton']:SetScript("OnClick", function()
	if (AF.SpamFrame == nil) then
		AF.SpamFrame = CreateFrame("Frame")
	end

	if (AF["Startbutton"]:GetText() == "Start") then
		local YTMP = 0
		for i = 1, 5 do 
			if AdmanDB["Settings"]["Status"][i] == true then
				YTMP = YTMP + 1
			end
		end

		-- Timer mindestens 30
		if Adman.DB["Settings"]["Timer"] < 30 then
			AF['Error']:SetText("|cFFC81C1C Fehler: "..AL["error-timer"])

		-- mindestens 1 Checkbox aktiviert
		elseif YTMP == 0 then
			AF['Error']:SetText("|cFFC81C1C Fehler: "..AL["error-msg"])

		-- Channel == Channel
		elseif AF["Channel"]["selectedID"] == 0 then
			AF['Error']:SetText("|cFFC81C1C Fehler: "..AL["error-channel"])

		else -- ab gehts !
			AF.SpamFrame:SetScript("OnUpdate", Spamstart)
			AF['Startbutton']:SetText("Stop")
			AF['Error']:SetText("")
		end


	elseif (AF["Startbutton"]:GetText() == "Stop") then
		AF.SpamFrame:SetScript("OnUpdate", nil)
		AF['Startbutton']:SetText("Start")
	end
end)

-- Ende of GUI Zeug
AF['EditboxTimer']:SetScript("OnChar", function()
	  Adman.DB["Settings"]["Timer"] = AF['EditboxTimer']:GetNumber()
end)

function OnClickMinimap(self, button,arg1,arg2)
	if button == "LeftButton" then 
		if AF.Hauptfenster:IsShown() == true then 
			AF.Hauptfenster:Hide()
		else
			AF.Hauptfenster:Show()
		end
	end
end